osl::rating::RatedMove Class Reference

`#include <ratedMove.h>`

## Public Member Functions

| RatedMove (Move move, int rating, int optimistic)
| RatedMove (Move move, int rating)
| RatedMove ()
void | setRating (int rating)
void | setOptimisticRating (int rating)
const Move | move () const
int | rating () const
int | optimisticRating () const

## Private Attributes

Move | my_move
signed short | all_rating
signed short | optimistic_rating

## Detailed Description

Definition at line 13 of file ratedMove.h.

## Constructor & Destructor Documentation

## RatedMove() [1/3]

osl::rating::RatedMove::RatedMove | ( | Move | move,
|  | int | rating,
|  | int | optimistic )

inline

Definition at line 18 of file ratedMove.h.

References all_rating, move(), my_move, optimistic_rating, and rating().

## RatedMove() [2/3]

osl::rating::RatedMove::RatedMove | ( | Move | move,
|  | int | rating )

inline

Definition at line 21 of file ratedMove.h.

References all_rating, move(), my_move, optimistic_rating, and rating().

## RatedMove() [3/3]

osl::rating::RatedMove::RatedMove | ( |  | ) |

inline

Definition at line 24 of file ratedMove.h.

References all_rating, and optimistic_rating.

## Member Function Documentation

## move()

const Move osl::rating::RatedMove::move | ( |  | ) | const

inline

Definition at line 28 of file ratedMove.h.

References my_move.

Referenced by osl::rating::operator<(), osl::rating::operator<<(), osl::rating::operator==(), osl::rating::operator>(), RatedMove(), and RatedMove().

## optimisticRating()

int osl::rating::RatedMove::optimisticRating | ( |  | ) | const

inline

Definition at line 30 of file ratedMove.h.

References optimistic_rating.

Referenced by osl::rating::operator<(), osl::rating::operator<<(), and osl::rating::operator>().

## rating()

int osl::rating::RatedMove::rating | ( |  | ) | const

inline

Definition at line 29 of file ratedMove.h.

References all_rating.

Referenced by osl::rating::FeatureSet::generateRating(), osl::rating::operator<(), osl::rating::operator<<(), osl::rating::operator==(), osl::rating::operator>(), RatedMove(), RatedMove(), setOptimisticRating(), and setRating().

## setOptimisticRating()

void osl::rating::RatedMove::setOptimisticRating | ( | int | rating | ) |

inline

Definition at line 26 of file ratedMove.h.

References optimistic_rating, and rating().

## setRating()

void osl::rating::RatedMove::setRating | ( | int | rating | ) |

inline

Definition at line 25 of file ratedMove.h.

References all_rating, and rating().

## Member Data Documentation

## all_rating

signed short osl::rating::RatedMove::all_rating

private

Definition at line 16 of file ratedMove.h.

Referenced by RatedMove(), RatedMove(), RatedMove(), rating(), and setRating().

## my_move

Move osl::rating::RatedMove::my_move

private

Definition at line 15 of file ratedMove.h.

Referenced by move(), RatedMove(), and RatedMove().

## optimistic_rating

signed short osl::rating::RatedMove::optimistic_rating

private

Definition at line 16 of file ratedMove.h.

Referenced by optimisticRating(), RatedMove(), RatedMove(), RatedMove(), and setOptimisticRating().

The documentation for this class was generated from the following file:

- ratedMove.h